Subject: Ticket Assigned - I given full youth life for shoemart , when jeddah only single or two stores that time I joined & w...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 26 Jun 2020 07:01:59 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  I given full youth life for shoemart , when jeddah only single or two stores that time I joined &  w... I given full youth life for shoemart , when jeddah only single or two stores that time I joined &  we growing lot of stores.,but shibli usmani he was not a professional manager fall thru he removed lots of experience staffs and managers from shoe mart  concept.. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1259111